summaryrefslogtreecommitdiff
path: root/net.Linux
diff options
context:
space:
mode:
authorRoy Marples <roy@marples.name>2008-01-29 15:34:17 +0000
committerRoy Marples <roy@marples.name>2008-01-29 15:34:17 +0000
commit2bd31e8d033ec4488edb775cdac73d247207637a (patch)
tree13fe4a8216e30643824fe55fc9440e5937c695ba /net.Linux
parent39d88dc809e130e16f2e9141bbb487eb937e402f (diff)
downloadopenrc-2bd31e8d033ec4488edb775cdac73d247207637a.tar.gz
openrc-2bd31e8d033ec4488edb775cdac73d247207637a.tar.bz2
openrc-2bd31e8d033ec4488edb775cdac73d247207637a.tar.xz
Attempt to fix tun/tap issue on first boot.
Diffstat (limited to 'net.Linux')
-rw-r--r--net.Linux/tuntap.sh3
1 files changed, 1 insertions, 2 deletions
diff --git a/net.Linux/tuntap.sh b/net.Linux/tuntap.sh
index 79d8071..7c78962 100644
--- a/net.Linux/tuntap.sh
+++ b/net.Linux/tuntap.sh
@@ -21,8 +21,7 @@ tuntap_pre_start()
[ -z "${tuntap}" ] && return 0
if [ ! -e /dev/net/tun ]; then
- modprobe tun && sleep 1
- if [ ! -e /dev/net/tun ]; then
+ if ! modprobe tun; then
eerror "TUN/TAP support is not present in this kernel"
return 1
fi